Bug 32025 - Check the replication consistency: binary data
Check the replication consistency: binary data
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: LDAP
unspecified
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Philipp Hahn
Stefan Gohmann
: interim-1
Depends on: 31722
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 16:28 CEST by Philipp Hahn
Modified: 2013-11-19 06:42 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2013-07-19 16:28:22 CEST
+++ This bug was initially created as a clone of Bug #31722 +++
We should check that replication binary data such as jpegPhoto and userCertificate work.
Comment 1 Philipp Hahn univentionstaff 2013-07-23 13:59:45 CEST
Previous issues with binary data: Bug #25858 Bug #30165
Test fails on 3.0-1 because UDM double-base64-encodes the values.

Comparison of the data in LDAP seems not to be sufficient, since the new object bypasses the Listener and is directly stored in the local LDAP server. Therefore the listener.log is checked for missing attribute log messages, which reliably detects the fix in 3.1-0-erratum55.

svn42689..42691: +2 small fixes
ChangeLog: merged with Bug #31687,31678,31679,31680
Comment 2 Stefan Gohmann univentionstaff 2013-08-20 08:37:05 CEST
Code / test: OK

Changelog: OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:42:58 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".